DELETE api/Drones/{id}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters
None.
Response Information
Resource Description
Drone| Name | Description | Type | Additional information |
|---|---|---|---|
| droneId | globally unique identifier |
None. |
|
| modelId | globally unique identifier |
None. |
|
| payloadId | globally unique identifier |
None. |
|
| tailNumber | string |
None. |
|
| createdDate | date |
None. |
|
| blackBoxId | string |
None. |
|
| Model | Model |
None. |
|
| Payload | Payload |
None. |
Response Formats
application/json, text/json
Sample:
{
"droneId": "7a3c2985-2d7d-4c91-8dbd-c7cf4de9ba6c",
"modelId": "a42088ab-01ca-4217-a1b7-80b5345e7145",
"payloadId": "d247086b-8322-40cc-89aa-8e46a9037a07",
"tailNumber": "sample string 4",
"createdDate": "2026-03-20T18:44:42.1004254+00:00",
"blackBoxId": "sample string 5",
"Model": {
"modelId": "4e887186-1ba6-4b18-936c-265fe6f4a154",
"name": "sample string 2",
"createdDate": "2026-03-20T18:44:42.1004254+00:00"
},
"Payload": {
"payloadId": "46020bb1-5a69-44c0-940c-5e2cf42bd8b6",
"name": "sample string 2",
"createdDate": "2026-03-20T18:44:42.1004254+00:00"
}
}
text/html
Sample:
{"droneId":"7a3c2985-2d7d-4c91-8dbd-c7cf4de9ba6c","modelId":"a42088ab-01ca-4217-a1b7-80b5345e7145","payloadId":"d247086b-8322-40cc-89aa-8e46a9037a07","tailNumber":"sample string 4","createdDate":"2026-03-20T18:44:42.1004254+00:00","blackBoxId":"sample string 5","Model":{"modelId":"4e887186-1ba6-4b18-936c-265fe6f4a154","name":"sample string 2","createdDate":"2026-03-20T18:44:42.1004254+00:00"},"Payload":{"payloadId":"46020bb1-5a69-44c0-940c-5e2cf42bd8b6","name":"sample string 2","createdDate":"2026-03-20T18:44:42.1004254+00:00"}}